#include <iostream>

class Shape {
  public:
      virtual void draw() = 0;
};

class Circle: public Shape {
  public:
    Circle(int radius): radius(radius) {}

  void draw() override {
    std::cout << "Ftiaxnw enan kyklo me aktina " << radius << std::endl;
  }

  private:
    int radius;
};

class Rectangle: public Shape {
  public:
    Rectangle(int width, int height): width(width), height(height) {}

  void draw() override {
    std::cout << "Ftiaxnw ena orthogwnio me platos " << width << " kai ypsos " << height << std::endl;
  }

  private:
    int width;
    int height;
};

int main() {
    Circle circle(5);
    Rectangle rectangle(10, 20);
    circle.draw();
    rectangle.draw();
    return 0;
